#ifndef __INPUT_H__
#define __INPUT_H__

bool I_HandleEvent(SDL_Event ev);

enum {
	BTN_UP = 0,
	BTN_DOWN,
	BTN_LEFT,
	BTN_RIGHT,
	BTN_JUMP,
	BTN_SHOOT,
	BTN_PREVWEAPON,
	BTN_NEXTWEAPON,
	BTN_ITEMS,
	BTN_MAP,

	BTN_CHECK,
	BTN_OK,

	BTN_QUIT,
	BTN_CHAT,
	BTN_LOG,
	BTN_SCORE,
	BTN_MAX
};

extern const char *btn_names[BTN_MAX];
extern Uint16 btn_start,btn_end,buttons;
extern Uint8 button_time[BTN_MAX];
void I_SetKeymap(SDLKey key, Uint8 button);

#endif
